{% extends 'base.html' %}
{% load i18n %}

{% block title %}
  {% trans "Login" %}
{% endblock %}

{% block header %}
<div id="head" class="secondary" style=></div>
{% endblock %}

{% block body %}
<div class="container">

  <ol class="breadcrumb">
    <li><a href="{% url 'index' %}">{% trans "Início" %}</a></li>
    <li class="active">{% trans "Acesso do Usuário" %}</li>
  </ol>

  <div class="row">
    <article class="col-xs-12 maincontent">
      <header class="page-header">
        <h1 class="page-title">{% trans "Autenticação" %}</h1>
      </header>

      <div class="col-md-6 col-md-offset-3 col-sm-8 col-sm-offset-2">
        <div class="panel panel-default">
          <div class="panel-body">
            <h3 class="thin text-center">{% trans "Realize o Login com Suas Informações" %}</h3>
            <hr>

            {% if form.non_field_errors %}
              {% for error in form.non_field_errors %}
                <div class="alert alert-danger">
                  <strong>{{ error|escape }}</strong>
                </div>
              {% endfor %}
            {% endif %}

            <form class="form-signin" method="post">
              {% csrf_token %}
              {% for field in form %}
                <div class="top-margin">
                  <label>{{ field.label }} <span class="text-danger">*</span></label>
                  {{field}}
                  <div class="alert-danger">
                    <strong>{{ field.errors }}</strong>
                  </div>
                </div>
              {% endfor %}

              <hr>

              <div class="row">
                <div class="col-lg-4">
                  <b><a href="{% url 'retrieve:forgot' %}">{% trans "Esqueceu a Senha?" %}</a></b>
                </div>
              </div>

              <div id="loggin-row" class="row">
                <div class="col-lg text-center">
                  <button class="btn btn-primary" type="submit">{% trans "Entrar" %}</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </article>
  </div>
</div>
{% endblock %}
